#ifndef NM_DBUS_SERVER
#define NM_DBUS_SERVER
#include <QDBusServiceWatcher>
#include "main.h"

class nm_dbus_server : public QObject
{
  Q_OBJECT
public:
	nm_dbus_server(QObject * parent = 0);
	monitor_thread *th;
public slots:	
	int  get_androidgui_status();
	void start_androidgui(bool );
	int  raise_window(const QString & winname,const QString & appname,int display_id);
	void compositor_wakeup();
	void take_screenshot();
	void delete_window(const QString&);
	void show_panel(const QStringList&);
	void update_window_pid_info(int pid,const QString&);
signals:
    void androidgui_status(int);	
};
nm_dbus_server* nm_dbus_server_init(monitor_thread *th);

#endif
